require("lua.prototypes.plane")
require("lua.prototypes.autopilot.marker")
require("lua.prototypes.autopilot.tool-path")
require("lua.prototypes.technologies")

local styles = data.raw["gui-style"].default

styles["c5g_content"] = {
    type = "frame_style",
    parent = "inside_shallow_frame_with_padding",
    vertically_stretchable = "on"
}

styles["c5g_controls"] = {
    type = "horizontal_flow_style",
    vertical_align = "center",
    horizontal_spacing = 16
}

--styles["c5g_controls_textfield"] = {
--    type = "textbox_style",
--    width = 36
--}
--
--styles["c5g_deep_frame"] = {
--    type = "frame_style",
--    parent = "slot_button_deep_frame",
--    vertically_stretchable = "on",
--    horizontally_stretchable = "on",
--    top_margin = 16,
--    left_margin = 8,
--    right_margin = 8,
--    bottom_margin = 4
--}
